#!/bin/sh

# 1. Variable definition
MESSAGE=$1
HOST=$2
MSG_FILE="/tmp/${HOST}_tmp.msg"
EXCEPTION_FILE="/usr/local/groundwork/var/log/syslog-ng/exception_log.reg"

echo "${MESSAGE}" >> ${MSG_FILE}
# 2. Execution Procedure
exec 3< ${EXCEPTION_FILE}
while read -r LINE 0<&3
do
    grep "${LINE}" ${MSG_FILE} > /dev/null 2>&1
	RTN=$?
    if [ ${RTN} -eq 0 ]
    then
		echo "SUCCESS" > /tmp/debug.log
		echo "Line is ${LINE}" >> /tmp/debug.log
		echo "Message is ${MESSAGE}" >> /tmp/debug.log
    break;
    fi
done
exec 3<&-

rm -f ${MSG_FILE}

# exit with return code for grep
echo "Return code is ${RTN}" >> /tmp/debug.log
exit ${RTN}
